
.memeupload{

  margin-top: 99px;
}
/* Button used to open the contact form - fixed at the bottom of the page */
.open-button {
  background-color: #007466;
  color: #72eda9;
  padding: 15px 20px;
  border: none;
  cursor: pointer;
  opacity: 0.8;
  /*position: absolute;*/
  bottom: 23px;
  /*right: 565px;*/
  width: 210px;
  margin-left: 20px;
  margin-top: -300px;

  font-size: 16px;
  margin-bottom: 20px;
  box-sizing: border-box;
  border-radius: 8px;
  text-align: center;
  text-transform: uppercase;
  cursor: pointer;
}

/* The popup form - hidden by default */
.form-popup {
  display: none;
  position: sticky;
  bottom: 0;
  /*right: 565px;*/
  border: 3px solid #76dea4;
  z-index: 9;
  padding: 9px;

  color: #76dea4;
  width: 50%;
  margin-left: 20px;
  margin-bottom: -50px;

  border-radius: 5px;
}

.form-container{

  padding: 10px;

}


/* Full-width input fields */
.form-container input[type=text], .form-container input[type=email] {
  width: 100%;
  padding: 15px;
  /*margin: 5px 0 22px 0;*/
  border: none;
  /*background: #f1f1f1;*/
  border-radius: 4px;
}


.form-container input[type=text]:focus {
    outline: 2px solid #76dea4;
    /*border: 2px solid #76dea4;*/
}
.form-container input[type=email]:focus {
    outline: 2px solid #76dea4;
    /*border: 2px solid #76dea4;*/
}




/* Add a red background color to the cancel button */
.form-container .cancel {
  background-color: #05ff35de;
  padding: 15px 30px;
  border-radius: 4px;
}

/* Add some hover effects to buttons */
.form-container .btn:hover, .open-button:hover {
  opacity: 1;
}





/*==MAIN FORM==*/

/* ===================== FILE INPUT ===================== */
.file-area {
  width: 100%;
  position: relative;}
  
  input[type=file] {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    cursor: pointer;
  }
  
  .file-dummy {
    width: 100%;
    padding: 30px;
    background: rgba(255,255,255,0.2);
    border: 2px dashed rgba(255,255,255,0.2);
    text-align: center;
    transition: background 0.3s ease-in-out;

    display: flex;
    flex-direction: column-reverse;
    align-items: center;

    border-radius: 4px;
  }
  
 
  
  &:hover .file-dummy {
    background: rgba(255,255,255,0.1);
  }
  
 .form-popup input[type=file]:focus + .file-dummy {
    /*outline: 2px solid rgba(255,255,255,0.5);*/
    outline: 2px solid rgb(118 222 164 / 85%);
    /*outline: -webkit-focus-ring-color auto 5px;*/

  }
  
  .form-popup input[type=file]:valid + .file-dummy {
    border-color: rgba(0,255,0,0.4);
    background-color: rgba(0,255,0,0.3);
  }
  .form-popup input[type=file]:valid + .file-dummy:before {
    border-color: rgba(0,255,0,0.4);
    background-color: rgba(0,255,0,0.3);
    content: "File Selected! ";
  }

    .success {
      display: none;
    }
    .default {
      display: inline-block;
    }
   .default p{
      font-size: 11px;
    }
  


/* ===================== BASIC STYLING ===================== */



.form-popup label {
  font-weight: 500;
  display: block;
  margin: 4px 0;
  text-transform: uppercase;
  font-size: 13px;
  overflow: hidden;}
  
  .form-popup span {
    /*float: right;*/
    text-transform: none;
    font-weight: 200;
    /*line-height: 1em;*/
    font-style: italic;
    opacity: 0.8;

    /*padding: 8px;*/
    /*margin-left: 100px;*/
    font-size: 12px;
  }


.form-controll {
  display: block;
  padding: 8px 16px;
  width: 100%;
  font-size: 16px;
  background-color: rgba(255,255,255,0.2);
  border: 1px solid rgba(255,255,255,0.3);
  color: #fff;
  font-weight: 200;}
  
  &:focus {
    outline: 2px solid rgba(255,255,255,0.5);
    outline: -webkit-focus-ring-color auto 5px;
  }


.form-popup button {
  padding: 15px 30px;
  border-radius: 4px;

  background: rgb(85 197 134);
  color: #015025;
  text-transform: uppercase;
  font-weight: 600;
  font-size: 11px;
  border: 0;
  text-shadow: 0 1px 1px #015025;
  cursor: pointer;
}

.form-popup button[type=submit]{

  color: #015025;
}

.form-group {
  max-width: 500px;
  margin: auto;
  margin-bottom: 30px;
}



@media only screen and (max-width: 550px){
.form-popup {
  width: 100%;
  margin: 0;
  }

.open-button {
   
}


}